<?php

return [
    
    /*
    |--------------------------------------------------------------------------
    | Third Party Services
    |--------------------------------------------------------------------------
    |
    | This file is for storing the credentials for third party services such
    | as Stripe, Mailgun, SparkPost and others. This file provides a sane
    | default location for this type of information, allowing packages
    | to have a conventional place to find your various credentials.
    |
    */
    
    'mailgun' => [
        'domain' => env('MAILGUN_DOMAIN'),
        'secret' => env('MAILGUN_SECRET'),
    ],
    
    'ses' => [
        'key'    => env('SES_KEY'),
        'secret' => env('SES_SECRET'),
        'region' => 'us-east-1',
    ],
    
    'sparkpost' => [
        'secret' => env('SPARKPOST_SECRET'),
    ],
    
    'stripe' => [
        'model'  => App\User::class,
        'key'    => env('STRIPE_KEY'),
        'secret' => env('STRIPE_SECRET'),
    ],
    
    'line' => [
        'line_login_channel_id' => env('LINE_LOGIN_CHANNEL_ID'),
        'line_login_secret'     => env('LINE_LOGIN_SECRET'),
        'authorize_base_url'    => 'https://access.line.me/oauth2/v2.1/authorize',
        'get_token_url'         => 'https://api.line.me/oauth2/v2.1/token',
        'get_user_profile_url'  => 'https://api.line.me/v2/profile',
    ],

];
